xine-lib: Data Fields - Variables

xine-lib 1.2.12

### - b -

- b : _PIXEL, biquad_t, Color, eq2_param_t, mmx_t, palette_entry_s, vdpau_driver_t
- b0 : deinterlace_scanline_data_s
- b1 : deinterlace_scanline_data_s
- b2 : deinterlace_scanline_data_s
- b3 : deinterlace_scanline_data_s
- b_bottom : spudec_state_t
- b_frames : xine_set_mpeg_data_t
- b_left : spudec_state_t
- b_motion : mpeg2_decoder_s, picture_s
- b_mouse_in : vcd_input_plugin_s
- b_opened : vcdplayer_s
- b_right : spudec_state_t
- b_top : spudec_state_t
- back : _PLUGIN_INFO
- back_color : vdpau_driver_t
- back_frame : vdpau_driver_t
- background : cc_attribute_s, dvb_input_plugin_t, vdpau_driver_t
- background_is_supported : vdpau_driver_t
- backward_ref : sequence_t
- backward_reference_frame : picture_s, xine_vld_frame_s
- bad_frame : vdec_hw_h264_frame_t, vo_frame_s
- bandwidth : demux_qt_t, mms_input_class_t, mms_s
- base : vo_frame_s, xv_frame_t
- base_av_offset : metronom_impl_t
- base_buf : aos_t
- base_ei : aos_t
- base_mrl : qt_info
- base_name : saved_show_t
- base_samp : aos_t
- base_url : mpd_input_plugin_s
- basedir_handle : xine_s
- bb0 : deinterlace_scanline_data_s
- bb1 : deinterlace_scanline_data_s
- bb2 : deinterlace_scanline_data_s
- bb3 : deinterlace_scanline_data_s
- bcs : dxr3_driver_s
- bData : ao_file_wavhdr
- bdh : bluray_input_plugin_t
- bebf : bebf_latm_t
- BeginFlush : IPin_vt
- behind : rip_input_plugin_s
- benchmark_frames : post_plugin_goom_s
- benchmark_min : post_plugin_goom_s
- benchmark_time : post_plugin_goom_s
- beta : sIIRCoefficients
- bframes : ivtv_ioctl_codec
- bgamma : eq2_parameters_s, vf_priv_s
- bgcol : colorinfo_s
- biBitCount : _BitmapInfo, xine_bmiheader
- biClrImportant : _BitmapInfo, xine_bmiheader
- biClrUsed : _BitmapInfo, xine_bmiheader
- biCompression : _BitmapInfo, xine_bmiheader
- bicubic : opengl2_driver_t
- biggoom_factor_p : _SOUND_INFO
- biggoom_speed_limit_p : _SOUND_INFO
- bigGoomLimit : _SOUND_INFO
- bih : avi_t, demux_film_t, demux_fli_t, demux_fourxm_t, demux_idcin_t, demux_iff_t, demux_ipmovie_t, demux_mng_t, demux_mve_t, demux_nsv_t, demux_qt_t, demux_roq_t, demux_smjpeg_t, demux_str_t, demux_vmd_t, demux_vqa_t, demux_yuv4mpeg2_t, ff_video_decoder_s, qtv_decoder_s, w32v_decoder_s
- biHeight : _BitmapInfo, xine_bmiheader
- bIndexSubType : _avistdindex_chunk, _avisuperindex_chunk
- bIndexType : _avistdindex_chunk, _avisuperindex_chunk
- biPlanes : _BitmapInfo, xine_bmiheader
- biSize : _BitmapInfo, xine_bmiheader
- biSizeImage : _BitmapInfo, xine_bmiheader
- bit_depth : rgb_decoder_s
- bit_depth_chroma_minus8 : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- bit_depth_luma_minus8 : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- bit_rate : frmsize_s
- bit_rate_scale : hrd_parameters
- bit_rate_value_minus1 : hrd_parameters
- bitmap : x11osd, xcbosd
- bitrate : ivtv_ioctl_codec, mpd_stream_info_t, mpg_audio_frame_t, multirate_pref_t, picture_s
- bitrate_mean : xine_set_mpeg_data_t
- bitrate_mode : ivtv_ioctl_codec
- bitrate_offsets : asf_header_internal_t
- bitrate_peak : ivtv_ioctl_codec, xine_set_mpeg_data_t
- bitrate_vbr : xine_set_mpeg_data_t
- bitrates : asf_header_s
- bits : _ct, AnimHeader, ao_directx_t, ao_format_s, aos_t, AudioTrack, bits_reader_t, demux_flac_t, dx2_driver_t, fft_s, post_audio_port_s, properties_t, ra_init_t, speex_decoder_s, v4l_input_plugin_t
- bits_names : alsa_driver_s
- bits_per_sample : alsa_driver_s, ao_file_driver_s, ao_none_driver_s, coreaudio_driver_s, demux_flac_s, demux_flac_t, demux_tta_t, demux_wv_t, faad_decoder_s, fooaudio_decoder_s, jack_driver_s, lpcm_decoder_s, matroska_audio_track_t, mpc_decoder_s, nsf_decoder_s, opensles_driver_s, oss_driver_s, pulse_driver_s, sndio_driver_s, wavpack_decoder_t, xine_flac_streaminfo_block
- bitstream_bits : mpeg2_decoder_s, picture_s
- bitstream_buf : mpeg2_decoder_s, picture_s
- bitstream_ptr : mpeg2_decoder_s, picture_s
- bitstream_restriction_flag : seq_parameter_set_rbsp
- biWidth : _BitmapInfo, xine_bmiheader
- biXPelsPerMeter : _BitmapInfo, xine_bmiheader
- biYPelsPerMeter : _BitmapInfo, xine_bmiheader
- black : vaapi_driver_s, xine_spu_opacity_s, xshm_driver_t, xv_driver_s, xxmc_driver_s
- block : _CMediaSample, crypto_input_plugin_t, dvd_input_saved_buf_u
- block_align : demux_ra_t, real_stream_t, realdec_decoder_s
- block_data : demux_matroska_t
- block_data_size : demux_matroska_t
- block_no : audio_index_entry_t, avi_audio_t
- block_size : crypto_input_plugin_t, wvheader_t
- block_start : crypto_input_plugin_t
- blockbaseptr : xine_macroblock_s
- blockptr : xine_macroblock_s
- blocks : xvmc_macroblocks_t
- blocksize : demux_mpeg_block_s, demux_mpeg_elem_t, demux_mpgaudio_t, demux_vc1_es_t
- blocksize_max : xine_flac_streaminfo_block
- blocksize_min : xine_flac_streaminfo_block
- blocktype : xine_flac_metadata_header
- bmask : fft_s
- bmhd : demux_iff_t
- bmp : osd_fontchar_s
- bmp_head : test_input_plugin_t
- bob : xxmc_driver_s
- border : vo_scale_s
- bordercol : colorinfo_s
- bottom : em8300_button_t
- bottom_field : deinterlace_scanline_data_s
- bottom_field_flag : slice_header, vdec_hw_h264_frame_info_s, vdec_hw_h264_lps_t
- bottom_field_order_cnt : coded_picture
- bottom_is_reference : decoded_picture, vdec_hw_h264_info_ref_frame_t
- bottom_right : pic_parameter_set_rbsp, vdec_hw_h264_pps_t
- BottomFieldOrderCnt : vdec_hw_h264_frame_int_s
- bounce : metronom_impl_t
- bounce_left : demux_ts_t
- bpp : fb_driver_s, sdl_driver_s, stk_driver_s, xshm_driver_t
- bpts : demux_ts_t
- br : demux_mpgaudio_t, sequence_t, vdec_hw_h264_sequence_t, xine_nbc_fifo_info_t
- bRiffMagic : ao_file_wavhdr
- brightness : em8300_bcs_t, eq2_parameters_s, eq_parameters_s, opengl2_driver_t, opengl_driver_t, pgx64_driver_t, vaapi_equalizer, vdpau_driver_t, vf_priv_s, xshm_driver_t
- broadcast_flag : asf_file_s
- broadcaster : xine_stream_private_st
- broken : spudec_seq_t
- broken_link : picture_s
- brutD : _ZOOM_FILTER_FX_WRAPPER_DATA
- brutS : _ZOOM_FILTER_FX_WRAPPER_DATA
- brutT : _ZOOM_FILTER_FX_WRAPPER_DATA
- bsize : demux_flac_t
- Buf : _IFS_DATA
- buf : aom_decoder_s, aos_t, asmrp_t, bitplane_decoder_s, buf_reader, cache_input_plugin_t, coreaudio_driver_s, dav1d_decoder_s, demux_sputext_t, demux_ts_media, demux_ts_pmt, demux_ts_t, dvaudio_decoder_s, dvbsub_func_t, faad_decoder_s, ff_audio_decoder_s, ff_video_decoder_s, flac_decoder_s, fooaudio_decoder_s, foovideo_decoder_s, ftp_input_plugin_t, gsm610_decoder_s, h264_parser, hevc_decoder_s, image_decoder_s, lavc_data_s, lpcm_decoder_s, mms_s, mmsh_s, mpc_decoder_s, mpeg2_fbuf_s, opensles_driver_s, png_decoder_s, post_plugin_fftgraph_s, post_plugin_fftscope_s, post_plugin_fooviz_s, post_plugin_goom_s, post_plugin_oscope_s, rgb_decoder_s, segment_buffer_t, sequence_t, sha160_t, spudec_seq_t, spuhdmv_decoder_s, test_input_plugin_t, tls_gnutls_t, vdec_hw_h264_sequence_t, very_fat_cfg_entry_t, vf_priv_s, vorbis_decoder_s, vpx_decoder_s, w32a_decoder_s, w32v_decoder_s, wavpack_decoder_t, XINE_BD_ARGB_BUFFER, xine_gl_extensions_t, xine_url_t, yuv_decoder_s
- buf_delivered : tls_gnutls_t
- buf_elem_size : opensles_driver_s
- buf_encoding : sputext_decoder_s
- buf_end : mpeg2dec_s
- buf_flag_seek : demux_asf_s, demux_avi_s, demux_flv_t, demux_matroska_t, demux_mpeg_block_s, demux_mpeg_pes_s, demux_mpeg_s, demux_ogg_s, demux_ts_t
- buf_got : tls_gnutls_t
- buf_h : vf_priv_s
- buf_head : coreaudio_driver_s
- buf_len : cache_input_plugin_t, h264_parser, spudec_seq_t
- buf_lock : XINE_BD_ARGB_BUFFER
- buf_max : demux_ts_t, mpc_decoder_s
- buf_mode : pgx64_driver_t
- buf_mutex : dvd_input_plugin_s
- buf_pos : cache_input_plugin_t, demux_flac_t, demux_ts_t, flac_decoder_s, wavpack_decoder_t
- buf_read : mms_s, mmsh_s
- buf_size : cache_input_plugin_t, demux_ts_t, flac_decoder_s, image_decoder_s, lpcm_decoder_s, mms_s, mmsh_s, mpeg2_convert_init_s, opensles_driver_s, png_decoder_s, wavpack_decoder_t
- buf_start : mpeg2dec_s
- buf_streams : aos_t
- buf_type : asf_demux_stream_t, demux_ac3_t, demux_image_s, demux_ivf_t, gsm610_decoder_s, matroska_track_s, real_stream_t
- buf_types : stream_info_s
- buf_uk : bitplane_decoder_s
- buf_uk_hist : bitplane_decoder_s
- buf_w : vf_priv_s
- bufcount : v4l2_radio_t, v4l2_video_t
- buffer : alphablend_t, argb_layer_s, asf_demux_stream_t, asf_reader_t, bits_reader_t, cc_decoder_s, demux_mod_t, demux_tta_t, jack_driver_s, mmal_frame_t, mms_buffer_s, pnm_s, rtp_input_plugin_t, SoundComponentData, win32_frame_t, xine_ring_buffer_s
- Buffer1 : Fractal_Struct
- Buffer2 : Fractal_Struct
- buffer_count : rtp_input_plugin_t
- buffer_end : xine_ring_buffer_s
- buffer_get_ptr : rtp_input_plugin_t
- buffer_if : opensles_driver_s
- buffer_pool_alloc : fifo_buffer_s
- buffer_pool_base : fifo_buffer_s
- buffer_pool_buf_size : fifo_buffer_s
- buffer_pool_capacity : fifo_buffer_s
- buffer_pool_cond_not_empty : fifo_buffer_s
- buffer_pool_large_wait : fifo_buffer_s
- buffer_pool_mutex : fifo_buffer_s
- buffer_pool_num_free : fifo_buffer_s
- buffer_pool_num_waiters : fifo_buffer_s
- buffer_pool_realloc : fifo_buffer_s
- buffer_pool_size_alloc : fifo_buffer_s
- buffer_pool_top : fifo_buffer_s
- buffer_pool_try_alloc : fifo_buffer_s
- buffer_ptrs : pgx64_driver_t, pgx64_frame_t
- buffer_put_ptr : rtp_input_plugin_t
- buffer_ready_for_reading : coreaudio_driver_s
- buffer_ready_for_writing : coreaudio_driver_s
- buffer_ring_mut : rtp_input_plugin_t
- buffer_service : dx2_driver_t
- buffer_size : alphablend_t, alsa_driver_s, ao_directx_t, asf_stream_extension_s, dx2_driver_t, mpeg_parser_s, oss_driver_s, xine_ring_buffer_s
- buffered : coreaudio_driver_s
- buffered_bytes : lpcm_decoder_s
- buffering : xine_nbc_st, xine_nbc_stats_data_t
- buffermode : directfb_driver_s
- buffers : pgx64_driver_t, pgx64_frame_t, v4l2_radio_t, v4l2_video_t
- buffratio : _ZOOM_FILTER_FX_WRAPPER_DATA
- buflen : demux_sputext_t
- bufpos : sequence_t
- bufseek : sequence_t
- bufsize : aom_decoder_s, bitplane_decoder_s, dav1d_decoder_s, dvaudio_decoder_s, ff_audio_decoder_s, ff_video_decoder_s, fooaudio_decoder_s, foovideo_decoder_s, gsm610_decoder_s, hevc_decoder_s, rgb_decoder_s, sequence_t, test_input_plugin_t, vorbis_decoder_s, vpx_decoder_s, w32v_decoder_s, yuv_decoder_s
- buftype : ff_audio_decoder_s
- bump1 : hls_input_plugin_t
- bump2 : hls_input_plugin_t
- bump_pos : hls_input_plugin_t
- bump_seq : hls_input_plugin_t
- bump_size : hls_input_plugin_t
- button : xine_input_data_t, xine_spu_button_t
- button_filter : dxr3_spudec_s, spudec_decoder_s
- buttonN : dvd_input_plugin_s, dxr3_spudec_s, spudec_decoder_s
- bval : _PARAM
- bWaveMagic : ao_file_wavhdr
- bypass_mode : dts_decoder_t
- byte_rate : mpeg2_sequence_s
- byterate : w32a_decoder_s
- bytes : faad_decoder_s, mad_decoder_s, qt_frame, yuy2_color_t
- bytes_in_buffer : alsa_driver_s, esd_driver_s, jack_driver_s, oss_driver_s
- bytes_left : deinterlace_scanline_data_s, demux_image_s, demux_raw_dv_t, http_input_plugin_t
- bytes_passed : dxr3_spu_stream_state_s
- bytes_per_frame : alsa_driver_s, ao_driver_s, ao_file_driver_s, ao_none_driver_s, coreaudio_driver_s, esd_driver_s, fusionsound_driver_s, jack_driver_s, opensles_driver_s, oss_driver_s, properties_t, pulse_driver_s, sndio_driver_s, sun_driver_s
- bytes_per_line : fb_frame_s, xshm_frame_t
- bytes_per_packet : properties_t
- bytes_per_pixel : bitplane_decoder_s, fb_driver_s, opengl2_yuvtex_t, rgb_decoder_s, xshm_driver_t
- bytes_per_sample : properties_t
- bytes_since_tag : mpeg2dec_s
- bytes_written : ao_file_driver_s
- bytespp : win32_driver_t